Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.persistence
Class JPATaskPersistenceContext

    java.lang.Object
      org.jbpm.services.task.persistence.JPATaskPersistenceContext

All Implemented Interfaces:
  org.kie.internal.task.api.TaskPersistenceContext

    public class JPATaskPersistenceContext

extends Object
implements org.kie.internal.task.api.TaskPersistenceContext

Field Summary
`protected javax.persistence.EntityManager` | `em`
`static String` | `FIRST_RESULT`
`static String` | `FLUSH_MODE`
`protected boolean` | `isJTA`
`static String` | `MAX_RESULTS`
`protected boolean` | `pessimisticLocking`

Constructor Summary
`JPATaskPersistenceContext(javax.persistence.EntityManager em)`
`JPATaskPersistenceContext(javax.persistence.EntityManager em, boolean isJTA)`
`JPATaskPersistenceContext(javax.persistence.EntityManager em, boolean isJTA, boolean locking)`

Method Summary
`HashMap<String,Object>` | `addParametersToMap(Object... parameterValues)`
`protected void` | `check()`
`void` | `close()`
`int` | `executeUpdateString(String updateString)`
`
`<T> T`
` | `find(Class<T> entityClass, Object primaryKey)`
`Attachment` | `findAttachment(Long attachmentId)`
`Comment` | `findComment(Long commentId)`
`Content` | `findContent(Long contentId)`
`org.kie.internal.task.api.model.Deadline` | `findDeadline(Long deadlineId)`
`Group` | `findGroup(String groupId)`
`OrganizationalEntity` | `findOrgEntity(String orgEntityId)`
`Task` | `findTask(Long taskId)`
`User` | `findUser(String userId)`
`boolean` | `isOpen()`
`void` | `joinTransaction()`
`
`<T> T`
` | `merge(T entity)`
`
`<T> T`
` | `persist(T object)`
`Attachment` | `persistAttachment(Attachment attachment)`
`Comment` | `persistComment(Comment comment)`
`Content` | `persistContent(Content content)`
`org.kie.internal.task.api.model.Deadline` | `persistDeadline(org.kie.internal.task.api.model.Deadline deadline)`
`Group` | `persistGroup(Group group)`
`OrganizationalEntity` | `persistOrgEntity(OrganizationalEntity orgEntity)`
`Task` | `persistTask(Task task)`
`User` | `persistUser(User user)`
`
`<T> T`
` | `queryAndLockStringWithParametersInTransaction(String queryName, Map<String,Object> params, boolean singleResult, Class<T> clazz)`
`
`<T> T`
` | `queryAndLockWithParametersInTransaction(String queryName, Map<String,Object> params, boolean singleResult, Class<T> clazz)`
`
`<T> T`
` | `queryInTransaction(String queryName, Class<T> clazz)`
`
`<T> T`
` | `queryStringInTransaction(String queryString, Class<T> clazz)`
`
`<T> T`
` | `queryStringWithParametersInTransaction(String queryString, boolean singleResult, Map<String,Object> params, Class<T> clazz)`
`
`<T> T`
` | `queryStringWithParametersInTransaction(String queryString, Map<String,Object> params, Class<T> clazz)`
`
`<T> T`
` | `queryWithParametersInTransaction(String queryName, boolean singleResult, Map<String,Object> params, Class<T> clazz)`
`
`<T> T`
` | `queryWithParametersInTransaction(String queryName, Map<String,Object> params, Class<T> clazz)`
`
`<T> T`
` | `remove(T entity)`
`Attachment` | `removeAttachment(Attachment attachment)`
`Comment` | `removeComment(Comment comment)`
`Content` | `removeContent(Content content)`
`org.kie.internal.task.api.model.Deadline` | `removeDeadline(org.kie.internal.task.api.model.Deadline deadline)`
`Group` | `removeGroup(Group group)`
`OrganizationalEntity` | `removeOrgEntity(OrganizationalEntity orgEntity)`
`Task` | `removeTask(Task task)`
`User` | `removeUser(User user)`
`Attachment` | `updateAttachment(Attachment attachment)`
`Comment` | `updateComment(Comment comment)`
`Content` | `updateContent(Content content)`
`org.kie.internal.task.api.model.Deadline` | `updateDeadline(org.kie.internal.task.api.model.Deadline deadline)`
`Group` | `updateGroup(Group group)`
`OrganizationalEntity` | `updateOrgEntity(OrganizationalEntity orgEntity)`
`Task` | `updateTask(Task task)`
`User` | `updateUser(User user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FIRST_RESULT

    public static final String FIRST_RESULT

See Also:
  Constant Field Values

### MAX_RESULTS

    public static final String MAX_RESULTS

See Also:
  Constant Field Values

### FLUSH_MODE

    public static final String FLUSH_MODE

See Also:
  Constant Field Values

### em

    protected javax.persistence.EntityManager em

### isJTA

    protected final boolean isJTA

### pessimisticLocking

    protected final boolean pessimisticLocking

Constructor Detail

### JPATaskPersistenceContext

    public JPATaskPersistenceContext(javax.persistence.EntityManager em)

### JPATaskPersistenceContext

    public JPATaskPersistenceContext(javax.persistence.EntityManager em,
                                     boolean isJTA)

### JPATaskPersistenceContext

    public JPATaskPersistenceContext(javax.persistence.EntityManager em,
                                     boolean isJTA,
                                     boolean locking)

Method Detail

### findTask

    public Task findTask(Long taskId)

  Specified by:
    `findTask` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistTask

    public Task persistTask(Task task)

  Specified by:
    `persistTask` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateTask

    public Task updateTask(Task task)

  Specified by:
    `updateTask` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeTask

    public Task removeTask(Task task)

  Specified by:
    `removeTask` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findGroup

    public Group findGroup(String groupId)

  Specified by:
    `findGroup` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistGroup

    public Group persistGroup(Group group)

  Specified by:
    `persistGroup` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateGroup

    public Group updateGroup(Group group)

  Specified by:
    `updateGroup` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeGroup

    public Group removeGroup(Group group)

  Specified by:
    `removeGroup` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findUser

    public User findUser(String userId)

  Specified by:
    `findUser` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistUser

    public User persistUser(User user)

  Specified by:
    `persistUser` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateUser

    public User updateUser(User user)

  Specified by:
    `updateUser` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeUser

    public User removeUser(User user)

  Specified by:
    `removeUser` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findOrgEntity

    public OrganizationalEntity findOrgEntity(String orgEntityId)

  Specified by:
    `findOrgEntity` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistOrgEntity

    public OrganizationalEntity persistOrgEntity(OrganizationalEntity orgEntity)

  Specified by:
    `persistOrgEntity` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateOrgEntity

    public OrganizationalEntity updateOrgEntity(OrganizationalEntity orgEntity)

  Specified by:
    `updateOrgEntity` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeOrgEntity

    public OrganizationalEntity removeOrgEntity(OrganizationalEntity orgEntity)

  Specified by:
    `removeOrgEntity` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findContent

    public Content findContent(Long contentId)

  Specified by:
    `findContent` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistContent

    public Content persistContent(Content content)

  Specified by:
    `persistContent` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateContent

    public Content updateContent(Content content)

  Specified by:
    `updateContent` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeContent

    public Content removeContent(Content content)

  Specified by:
    `removeContent` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findAttachment

    public Attachment findAttachment(Long attachmentId)

  Specified by:
    `findAttachment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistAttachment

    public Attachment persistAttachment(Attachment attachment)

  Specified by:
    `persistAttachment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateAttachment

    public Attachment updateAttachment(Attachment attachment)

  Specified by:
    `updateAttachment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeAttachment

    public Attachment removeAttachment(Attachment attachment)

  Specified by:
    `removeAttachment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findComment

    public Comment findComment(Long commentId)

  Specified by:
    `findComment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistComment

    public Comment persistComment(Comment comment)

  Specified by:
    `persistComment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateComment

    public Comment updateComment(Comment comment)

  Specified by:
    `updateComment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeComment

    public Comment removeComment(Comment comment)

  Specified by:
    `removeComment` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### findDeadline

    public org.kie.internal.task.api.model.Deadline findDeadline(Long deadlineId)

  Specified by:
    `findDeadline` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persistDeadline

    public org.kie.internal.task.api.model.Deadline persistDeadline(org.kie.internal.task.api.model.Deadline deadline)

  Specified by:
    `persistDeadline` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### updateDeadline

    public org.kie.internal.task.api.model.Deadline updateDeadline(org.kie.internal.task.api.model.Deadline deadline)

  Specified by:
    `updateDeadline` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### removeDeadline

    public org.kie.internal.task.api.model.Deadline removeDeadline(org.kie.internal.task.api.model.Deadline deadline)

  Specified by:
    `removeDeadline` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryWithParametersInTransaction

    public <T> T queryWithParametersInTransaction(String queryName,
                                                  Map<String,Object> params,
                                                  Class<T> clazz)

  Specified by:
    `queryWithParametersInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryWithParametersInTransaction

    public <T> T queryWithParametersInTransaction(String queryName,
                                                  boolean singleResult,
                                                  Map<String,Object> params,
                                                  Class<T> clazz)

  Specified by:
    `queryWithParametersInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryAndLockWithParametersInTransaction

    public <T> T queryAndLockWithParametersInTransaction(String queryName,
                                                         Map<String,Object> params,
                                                         boolean singleResult,
                                                         Class<T> clazz)

  Specified by:
    `queryAndLockWithParametersInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryInTransaction

    public <T> T queryInTransaction(String queryName,
                                    Class<T> clazz)

  Specified by:
    `queryInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryStringInTransaction

    public <T> T queryStringInTransaction(String queryString,
                                          Class<T> clazz)

  Specified by:
    `queryStringInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryStringWithParametersInTransaction

    public <T> T queryStringWithParametersInTransaction(String queryString,
                                                        Map<String,Object> params,
                                                        Class<T> clazz)

  Specified by:
    `queryStringWithParametersInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryStringWithParametersInTransaction

    public <T> T queryStringWithParametersInTransaction(String queryString,
                                                        boolean singleResult,
                                                        Map<String,Object> params,
                                                        Class<T> clazz)

  Specified by:
    `queryStringWithParametersInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### queryAndLockStringWithParametersInTransaction

    public <T> T queryAndLockStringWithParametersInTransaction(String queryName,
                                                               Map<String,Object> params,
                                                               boolean singleResult,
                                                               Class<T> clazz)

  Specified by:
    `queryAndLockStringWithParametersInTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### executeUpdateString

    public int executeUpdateString(String updateString)

  Specified by:
    `executeUpdateString` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### addParametersToMap

    public HashMap<String,Object> addParametersToMap(Object... parameterValues)

  Specified by:
    `addParametersToMap` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### persist

    public <T> T persist(T object)

  Specified by:
    `persist` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### find

    public <T> T find(Class<T> entityClass,
                      Object primaryKey)

  Specified by:
    `find` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### remove

    public <T> T remove(T entity)

  Specified by:
    `remove` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### merge

    public <T> T merge(T entity)

  Specified by:
    `merge` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### isOpen

    public boolean isOpen()

  Specified by:
    `isOpen` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### joinTransaction

    public void joinTransaction()

  Specified by:
    `joinTransaction` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.task.api.TaskPersistenceContext`

### check

    protected void check()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.